#ifndef __ANIMALEXOTICO_H__
#define __ANIMALEXOTICO_H__
#include "animalsilvestre.h"


/* @brief Classe AnimalExotico, que modela um ser animal Exotico e toma AnimalSilvestre como classe pai pra herdar seus atributos
* @param 	Atributos protegidos:
* 				pais_origem - pais de origem do animal

*					Métodos públicos:
*					getPais_origem - retorna o pais de origem do animal
*					setPais_origem - modifica o pais de origem do animal
*					AnimalExotico - Construtor cria um AnimalExotico, inicializando os seus atributos
*
*/
class AnimalExotico: public AnimalSilvestre{
	protected:
		string pais_origem;

	public:
		string getPais_origem();
		void setPais_origem(string origin_country);
		AnimalExotico(string biernr, string origin_country);
};

#endif
