#ifndef __FUNCIONARIO__H__
#define __FUNCIONARIO__H__

#include <iostream>
#include <string>
using namespace std;

class Funcionario {
	protected:
		int id;
		string funcao;
		string nome;
		string cpf;
		short idade;
		char tipo_sanguineo;
		char fator_RH;
		string especialidade;
		virtual std::ostream& print(std::ostream&) const = 0

	public:
		int getId();
		void setId(int identity);
		string getFuncao();
		void setFuncao(string role);
		string getNome();
		void setNome(string name);
		string getCpf();
		void setCpf(string doc_cpf);
		short getIdade();
		void setIdade(short age);
		char getTipo_sanguineo();
		void setTipo_sanguineo(char blood_type);
		char getFator_RH();
		void setFator_RH(char rh_factor);
		string getEspecialidade();
		void setEspecialidade(string specialty);
		Funcionario(int identity, string role, string name, string doc_cpf, short age, char blood_type, char rh_factor, string specialty);
		Funcionario();
		friend std::ostream& operator << (std::ostream& output, const Funcionario& f) {
	    return f.print(output); // polymorphic print via reference
	  }


};

#endif
