#ifndef __VETERINARIO_H__
#define __VETERINARIO_H__
#include "funcionario.h"

class Veterinario: public Funcionario {
	private:
		virtual std::ostream& print(std::ostream&) const = 0;
		
	public:
		friend std::ostream& operator<< (std::ostream &output, Veterinario const v);
		Veterinario(int identity, string role, string name, string doc_cpf, short age, char blood_type, char rh_factor, string specialty);
		Veterinario();
		friend std::ostream& operator << (std::ostream& output, const Veterinario& v) {
			return v.print(output); // polymorphic print via reference
		}
};

#endif
