#ifndef __LINKEDLIST_NODE__
#define __LINKEDLIST_NODE__

#include <iostream>

template <typename T>
class Node{
private:
    T value;
	  int count;
    Node<T>* next;
    Node<T>* prev;

public:
    Node();
    Node( T );
    Node( T, Node*, Node* );
    T getValue();
    void setValue(T val);
    Node* getNext();
    void setNext(Node*);
	  Node* getPrevious();
	  void setPrevious(Node*);
    int getCount();
	  void setCount(int);
};


#endif
