#ifndef __TRATADOR_H__
#define __TRATADOR_H__
#include "funcionario.h"

class Tratador: public Funcionario {
	private:
		  virtual std::ostream& print(std::ostream&) const = 0;

	public:
		friend std::ostream& operator<< (std::ostream &output, Tratador const t);
		Tratador(int identity, string role, string name, string doc_cpf, short age, char blood_type, char rh_factor, string specialty);
		Tratador();
		friend std::ostream& operator << (std::ostream& output, const Tratador& t) {
			return t.print(output); // polymorphic print via reference
		}
};

#endif
